#!/usr/bin/env bash

container=phylotest

run() {
  nixos-container run $container -- $*
}

# Main setup
nixos-container start $container
init_script=`nix-store --add store/init-phylotest.sh`
test_script=`nix-store --add store/phylo-webtests.py`
run mkdir -p /var/lib/phylotest
run cp $test_script /var/lib/phylotest/phylo-webtests.py
run bash $init_script
